Package org.apache.cayenne.access.translator.batch.legacy

## Class SoftDeleteBatchTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator
  - - org.apache.cayenne.access.translator.batch.legacy.DeleteBatchTranslator
    - - org.apache.cayenne.access.translator.batch.legacy.SoftDeleteBatchTranslator

- All Implemented Interfaces:
    `BatchTranslator`

      @Deprecated
      public class SoftDeleteBatchTranslator
      extends DeleteBatchTranslator

  Deprecated.
  since 4.2
  Implementation of `DeleteBatchTranslator`, which uses 'soft' delete (runs UPDATE and sets 'deleted' field to true instead-of running SQL DELETE)

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

      `adapter, bindings, query, sql, translated, trimFunction`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SoftDeleteBatchTranslator​(DeleteBatchQuery query, DbAdapter adapter, String trimFunction, String deletedFieldName)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected DbAttributeBinding[]` | `createBindings()` | Deprecated.
    `protected String` | `createSql()` | Deprecated.
    `protected DbAttributeBinding[]` | `doUpdateBindings​(BatchQueryRow row)` | Deprecated.

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.legacy.DeleteBatchTranslator

      `applyQualifier`

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

      `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoftDeleteBatchTranslator

          public SoftDeleteBatchTranslator​(DeleteBatchQuery query,
                                           DbAdapter adapter,
                                           String trimFunction,
                                           String deletedFieldName)

      Deprecated.

  - ### Method Detail

    - #### createSql

          protected String createSql()

      Deprecated.
      Overrides:
        `createSql` in class `DeleteBatchTranslator`

    - #### createBindings

          protected DbAttributeBinding[] createBindings()

      Deprecated.
      Overrides:
        `createBindings` in class `DeleteBatchTranslator`

    - #### doUpdateBindings

          protected DbAttributeBinding[] doUpdateBindings​(BatchQueryRow row)

      Deprecated.
      Overrides:
        `doUpdateBindings` in class `DeleteBatchTranslator`